> ## Documentation Index
> Fetch the complete documentation index at: https://docs.pmock.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get list brand

> get a list of supported mobile phone brands



## OpenAPI

````yaml post /open/api/brand/list
openapi: 3.1.0
info:
  title: apidoc
  description: ''
  version: 1.0.0
servers:
  - url: https://user.pmock.com/api
    description: Generated server url
security: []
tags: []
paths:
  /open/api/brand/list:
    post:
      tags: []
      summary: Get list brand
      description: get a list of supported mobile phone brands
      parameters: []
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/PhoneBrandListReqVO'
              description: ''
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/RListPhoneBrandListResVO'
          headers: {}
      deprecated: false
      security: []
components:
  schemas:
    PhoneBrandListReqVO:
      type: object
      properties:
        sdkVersion:
          type: integer
          description: 'Android version (currently supports: 11, 12, 13, 14, 15)'
      required:
        - sdkVersion
    RListPhoneBrandListResVO:
      type: object
      properties:
        traceId:
          type: string
          description: Request link ID
        code:
          type: integer
          description: code
        msg:
          type: string
          description: Request return message
        data:
          type: array
          items:
            $ref: '#/components/schemas/PhoneBrandListResVO'
            description: ApiBrandListResVO
          description: Request return data
        status:
          type: string
          description: >-
            Status, representing whether this is an instant completion or
            waiting state, finish or pending
          default: finish
      required:
        - traceId
        - code
        - msg
        - status
    PhoneBrandListResVO:
      type: object
      properties:
        brand:
          type: string
          description: SDK version
        resolutions:
          type: array
          items:
            $ref: '#/components/schemas/Resolution'
            description: >-
              com.wuyin.chameleon.common.model.wy.phone.res.PhoneBrandListResVO.Resolution
          description: Available resolutions list
    Resolution:
      type: object
      properties:
        width:
          type: integer
          description: Resolution width in pixels
        height:
          type: integer
          description: Resolution height in pixels

````